close all

s=tf('s')

G = 200/(s^2+2*s+4)
R =  (0.1578*s + 1)/(0.0134*s + 1) % sintesi mediante rete anticipatrice che garantisce Mf=60^o e Wc = 30 rad/s^-1
L = R*G;

figure(1) % diagrammi di Bode di L e F
bodemag(L,'r')
grid
hold on
F = L/(1+L)
bodemag(F,'b')

w=200;
Fw = freqresp(F,w);
modFw = abs(Fw)
modFw_db =20*log10(modFw)

Lw = freqresp(L,w);
modLw = abs(Lw)
modLw_db =20*log10(modLw)

figure(2)
t=0:0.0001:0.3;
n=sin(w*t);

lsim(F,n,t) % segnale di uscita y(t) con ingresso n(t) sinusoidale a frequenza w=200
grid on
hold on
h=plot(t,n,'r')
set(h, 'linewidth',0.1)
