close all

s=tf('s')

G = 200/(s^2+2*s+4)
R =  (0.3428*s + 1)/(0.009287*s + 1) % sintesi mediante rete anticipatrice che garantisce Mf=60^o e Wc = 60 rad/s^-1
L = R*G;

figure(1) % diagrammi di Bode di G, R, L, Q
bodemag(L,'k--')
grid
hold on
bodemag(G,'r')
bodemag(R,'b')
Q = R/(1+L)
bodemag(Q,'g')

figure(2)
step(Q,0.2) % segnale di controllo u(t) con ingresso y_sp a gradino
grid on

pause
R =  (0.1578*s + 1)/(0.0134*s + 1) % sintesi mediante rete anticipatrice che garantisce Mf=60^o e Wc = 30 rad/s^-1
L = R*G;

figure(3) % diagrammi di Bode di G, R, L, Q
bodemag(L,'k--')
grid
hold on
bodemag(G,'r')
bodemag(R,'b')
Q = R/(1+L)
bodemag(Q,'g')

figure(4)
step(Q,0.2) % segnale di controllo u(t) con ingresso y_sp a gradino
grid on

