close all

s=tf('s')

G = 200/(s^2+2*s+4)
R =  (0.1578*s + 1)/(0.0134*s + 1) % sintesi mediante rete anticipatrice che garantisce Mf=60^o e Wc = 30 rad/s^-1
L = R*G;

figure(1) % diagrammi di Bode di L e F
bodemag(L,'r')
grid
hold on
S = 1/(1+L)
bodemag(S,'b')

w=2;
Sw = freqresp(S,w);
modSw = abs(Sw)
modSw_db =20*log10(modSw)

Lw = freqresp(L,w);
modLw = abs(Lw)
modLw_db =20*log10(modLw)

mod1suLw = 1/modLw;
mod1suLw_db =-20*log10(modLw)

figure(2)
t=0:0.1:10;
d=sin(w*t);

lsim(S,d,t) % segnale di uscita y(t) con ingresso d(t) sinusoidale a frequenza w=2
grid on
hold on
h=plot(t,d,'r')
set(h, 'linewidth',0.1)
